Error: Failed to load plugin prettier: Cannot find module 'eslint-plugin-prettier'

Error: Failed to load plugin prettier: Cannot find module 'eslint-plugin-prettier'

 

I always get the above error when using eslint-plugin-prettier.

 

"devDependencies": {
"eslint": "^6.6.0",
"eslint-config-prettier": "^6.10.1",
"eslint-plugin-prettier": "^3.1.2",
"prettier": "2.0.4"
}
2 comments
Comment actions Permalink

What do your eslint settings look like? Please share a screenshot of Settings | Languages & Frameworks | JavaScript | Code Quality Tools | ESLint page

0
Comment actions Permalink

My package was pointing to a non existing global - this helped me figure it out.  Thanks

0

Please sign in to leave a comment.